# $Id: superkaramba.spec,v 1.15 2004/08/30 19:02:11 rexdieter Exp $

Summary: Custom content on the desktop
Name: 	 superkaramba
Version: 0.36
Release: 4%{?dist}

License: GPL
Group:	 User Interface/Desktops
Source:	 http://dl.sourceforge.net/sourceforge/netdragon/superkaramba-%{version}.tar.gz
URL:	 http://netdragon.sourceforge.net/ 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: python-devel
BuildRequires: xmms-devel
BuildRequires: kdebase-devel

Requires: kdebase


%description
SuperKaramba is a KDE add-on that allows for custom content on the desktop.
Some examples include the weather, calendars, or whatever you can 
code in python


%prep
%setup -q 

# to avoid a needless autoconf run.
touch ./config.h.in


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

## --with-extra-libs to help configure find python lib(s) on x86_64
%configure \
  --with-extra-libs=%{_libdir} \
  --disable-rpath \
  --disable-debug --disable-warnings --disable-dependancy-tracking \
  --disable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Utility category -> Accessories menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --delete-original --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category Utility \
  --add-category X-Fedora \
  --add-category KDE \
  --add-category Qt \
  --add-category Application \
  $RPM_BUILD_ROOT%{_datadir}/appl*/*/*.desktop

# Replace absolute symlinks with relative ones
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in */*; do
      [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../../common $i/common
    done
    popd
  fi
done
popd

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
  fi
done
fi



%clean
rm -rf $RPM_BUILD_ROOT 


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/*
%{_datadir}/apps/superkaramba
%{_datadir}/applications/*.desktop


%changelog
* Wed Nov 02 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.36-4
- --enable-libsuffix=64 -> --with-extra-libs=%%_libdir

* Wed Nov 02 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.36-3
- x86_64: --enable-libsuffix="64" (to help find python lib(s))
- simplify BR's

* Tue Nov 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.36-2
- --add-category Application
- %%doc: drop empty NEWS
- Capitalize Summary

* Mon Oct 31 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.36-1
- cleanup for Extras

* Mon Jun 27 2005 Rex Dieter 0:0.36-0.0.kde
- 0.36

* Tue Nov 16 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.35-0.0.kde
- 0.35 

* Mon Aug 30 2004 Rex Dieter <rexdieter at sf.net> 0:0.34-1.1.kde
- new Release scheme

* Mon Jul 19 2004 Rex Dieter <rexdieter at sf.net> 0:0.34-0.fdr.2
- fix kde32 detection (fixes ontop issues)

* Wed Jul 14 2004 Rex Dieter <rexdieter at sf.net> 0:0.34.0.fdr.1
- 0.34

* Fri May 28 2004 Rex Dieter <rexdieter at sf.net> 0:0.33-0.fdr.1
- ontop patch

* Tue Feb 10 2004 Rex Dieter <rexdieter at sf.net> 0:0.33-0.fdr.0
- 0.33

* Sun Oct 19 2003 Rex Dieter <rexdieter at sf.net> 0:0.32-0.fdr.1.b
- 0.32b
- fix Group:

* Wed Sep 03 2003 Rex Dieter <rexdieter at sf.net> 0:0.31-0.fdr.0
- 0.31

* Mon Jul 14 2003 Rex Dieter <rexdieter at sf.net> 0:0.29-0.fdr.0
- 0.29

* Thu May 22 2003 Rex Dieter <rexdieter at sf.net> 0:0.26-0.fdr.0
- 0.26
- fedora'ize

* Sun Apr 27 2003 J. Lucha <jim@boycottmicrosoft.net>
- Initial RPM creation
